Edit content or dismiss/restore an insight
curl --request PATCH \
--url https://api.stardex.ai/v1/company-insights/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.stardex.ai/v1/company-insights/{id}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.stardex.ai/v1/company-insights/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "11111111-1111-1111-1111-111111111111",
"organization_company_id": "22222222-2222-2222-2222-222222222222",
"content": "May 2026 rev: $100M ARR",
"category": "financials",
"topic": "revenue",
"observation_date": "2026-05-15",
"status": "active",
"is_user_edited": false,
"source_activity_id": "33333333-3333-3333-3333-333333333333",
"source_person_id": "44444444-4444-4444-4444-444444444444",
"created_at": "2026-05-15T14:32:11.000Z",
"updated_at": "2026-05-15T14:32:11.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Company Insights
Edit content or dismiss/restore an insight
Update the fact text (sets is_user_edited=true) and/or set its status to dismissed (hides from search context and the UI) or active.
PATCH
/
v1
/
company-insights
/
{id}
Edit content or dismiss/restore an insight
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
Insight UUID
Body
application/json
Was this page helpful?
⌘I